;-----------------------------------------------------------------------------
; AutoIt Version: 3.1.1.109
; Author:Andrew Calcutt 	Last Edited:2/22/2006
; Script Function:	Sets data souces and installs heat
;-----------------------------------------------------------------------------
$settings = @ScriptDir & "\settings.ini"
Run(@WindowsDir & "\system32\odbcad32.exe")

WinWaitActive("ODBC Data Source Administrator", "")
If WinExists("ODBC Data Source Administrator", "") Then
	While 1
		If WinExists("ODBC Data Source Administrator", "&System Data Sources:") Then
			;####################################### SET HEAT DATA SOURCE #######################################
			While WinExists("Create New Data Source") = 0
				WinActivate("ODBC Data Source Administrator")
				Send("!d")
			WEnd
			WinWaitActive("Create New Data Source")
			$select = ControlListView("Create New Data Source", "", "SysListView321", "FindItem", "SQL Server")
			ControlListView("Create New Data Source", "", "SysListView321", "Select", $select)
			ControlClick("Create New Data Source", "", "Button4")
			WinWaitActive("Create a New Data Source to SQL Server")
			ControlSetText("Create a New Data Source to SQL Server", "Na&me:", "Edit1", IniRead($settings, "Datasource1", "Name", "HEAT"))
			ControlSetText("Create a New Data Source to SQL Server", "&Description:", "Edit2", IniRead($settings, "Datasource1", "Description", "Heat"))
			ControlSetText("Create a New Data Source to SQL Server", "&Server:", "Edit3", IniRead($settings, "Datasource1", "Server", "wscdata1"))
			Send("!n");next
			If WinExists("Microsoft SQL Server DSN Configuration") Then ControlClick("Microsoft SQL Server DSN Configuration", "", "Button1")
			WinWaitActive("Create a New Data Source to SQL Server", "How should SQL Server verify the authenticity of the login ID?")
			Send("!s");select with sql server authentication
			ControlSetText("Create a New Data Source to SQL Server", "", "Edit1", IniRead($settings, "Logon", "Username", ""))
			ControlSetText("Create a New Data Source to SQL Server", "", "Edit2", IniRead($settings, "Logon", "Password", ""))
			Send("!n");next
			WinWaitActive("Create a New Data Source to SQL Server", "Change the &default database to:")
			ControlClick("Create a New Data Source to SQL Server", "", "Button1")
			ControlSetText("Create a New Data Source to SQL Server", "", "Edit1", IniRead($settings, "Datasource1", "DefaultDatabase", ""))
			Sleep(200)
			Send("!n");next
			WinWaitActive("Create a New Data Source to SQL Server", "Finish")
			Send("{Enter}")
			WinWaitActive("ODBC Microsoft SQL Server Setup")
			Send("{TAB}{ENTER}")
			;####################################### SET MAIL DATA SOURCE #######################################
			While WinExists("Create New Data Source") = 0
				WinActivate("ODBC Data Source Administrator")
				Send("!d")
			WEnd
			WinWaitActive("Create New Data Source")
			$select = ControlListView("Create New Data Source", "", "SysListView321", "FindItem", "SQL Server")
			ControlListView("Create New Data Source", "", "SysListView321", "Select", $select)
			ControlClick("Create New Data Source", "", "Button4")
			WinWaitActive("Create a New Data Source to SQL Server")
			ControlSetText("Create a New Data Source to SQL Server", "Na&me:", "Edit1", IniRead($settings, "Datasource2", "Name", "HEAT"))
			ControlSetText("Create a New Data Source to SQL Server", "&Description:", "Edit2", IniRead($settings, "Datasource2", "Description", "Heat"))
			ControlSetText("Create a New Data Source to SQL Server", "&Server:", "Edit3", IniRead($settings, "Datasource2", "Server", "wscdata1"))
			Send("!n");next
			If WinExists("Microsoft SQL Server DSN Configuration") Then ControlClick("Microsoft SQL Server DSN Configuration", "", "Button1")
			WinWaitActive("Create a New Data Source to SQL Server", "How should SQL Server verify the authenticity of the login ID?")
			Send("!s");select with sql server authentication
			ControlSetText("Create a New Data Source to SQL Server", "", "Edit1", IniRead($settings, "Logon", "Username", ""))
			ControlSetText("Create a New Data Source to SQL Server", "", "Edit2", IniRead($settings, "Logon", "Password", ""))
			Send("!n");next
			WinWaitActive("Create a New Data Source to SQL Server", "Change the &default database to:")
			ControlClick("Create a New Data Source to SQL Server", "", "Button1")
			ControlSetText("Create a New Data Source to SQL Server", "", "Edit1", IniRead($settings, "Datasource2", "DefaultDatabase", ""))
			Sleep(200)
			Send("!n");next
			WinWaitActive("Create a New Data Source to SQL Server", "Finish")
			Send("{Enter}")
			WinWaitActive("ODBC Microsoft SQL Server Setup")
			Send("{TAB}{ENTER}")
			WinWaitActive("ODBC Data Source Administrator")
			WinClose("ODBC Data Source Administrator")
			ExitLoop
		Else
			Send("^{TAB}")
		EndIf
	WEnd
EndIf

RunWait('msiexec /i "' & IniRead($settings, "Heat", "heatmsi", "") & '" /passive'); install heat

Run(@ProgramFilesDir & "\HEAT\Alert32.exe")
If @error Then Exit
	
While 1
	If WinExists("HEAT Service & Support Data Source") Then
		ControlCommand ( "HEAT Service & Support Data Source", "", "ComboBox1", "SetCurrentSelection", ControlCommand ( "HEAT Service & Support Data Source", "", "ComboBox1", "FindString", IniRead($settings, "Datasource1", "DefaultDatabase", "")))
		If ControlCommand ("HEAT Service & Support Data Source", "", "Button2", "IsChecked", "") = 0 Then ControlClick("HEAT Service & Support Data Source", "", "Button2")
		ControlClick("HEAT Service & Support Data Source", "", "Button3")
	EndIf
	If WinExists("SQL Server Login") Then
		ControlSetText("SQL Server Login", "", "Edit2", IniRead($settings, "Logon", "Username", ""))
		ControlSetText("SQL Server Login", "", "Edit3", IniRead($settings, "Logon", "Password", ""))
		ControlClick("SQL Server Login", "", "Button3")
	EndIf
	If WinExists("Alert Monitor", "Automatically use this database User ID and Password in the future?") Then
		ControlClick("Alert Monitor", "Automatically use this database User ID and Password in the future?", "Button1")
	EndIF
	If WinExists("HEAT", "Data Source:") Or WinExists("Alert Monitor", "Validating system catalog.") Then ExitLoop
WEnd
WinClose("Alert Monitor")
Exit
